Bug 851950

Summary: Latin ligatures need 'liga' standard ligature lookups
Product: [Fedora] Fedora Reporter: Deron Meranda <deron.meranda>
Component: liberation-fontsAssignee: Pravin Satpute <psatpute>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 17CC: fonts-bugs, i18n-bugs, petersen, psatpute, shanshandehongxing
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-05 05:02:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Deron Meranda 2012-08-27 06:37:33 UTC
Description of problem:
Glyphs in the Latin Ligature block (U+FB00 .. U+FB06), such as "fi" and "fl", should have the OpenType 'liga' lookup features defined. That will allow text renderers to automatically apply the ligature glyph.

Additionally, for completeness, the ligature caret horizontal positions should be appropriately set for these glyphs.


Version-Release number of selected component (if applicable):
liberation-fonts-2.00.0

Additional info:
You may need to solve bug #851790 first.

Also the "fi" (and "ffi" if existing) should exclude dotless-i scripts/languages, e.g., Turkish.

Comment 1 Pravin Satpute 2012-09-13 10:46:03 UTC
Yes, we can enable it.
But i think enabling it will loose metric compatibility with Times New Roman and Arial.

Comment 2 Pravin Satpute 2012-10-05 05:02:25 UTC
closing, please reopen if required.

Comment 3 Krasnaya Ploshchad’ 2017-06-23 04:32:12 UTC
In Windows 10 Times New Roman and Arial does not has 'liga' feature for ff, fi, fl, tz and so on, they using 'dlig' feature instead.